package com.huiju.estateagents.channel.sysChannel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaChannelProxy {
    @TableId(value = "channel_id", type = IdType.AUTO)
    private Integer channelId;

    private String channelProxyName;

    private String channelImg;

    private String channelContactName;

    private String channelTel;

    private String userName;

    private String password;

    private LocalDateTime expireDate;

    private Integer status;

    private Integer appMaxNum;

    private LocalDateTime createTime;

    @TableField(exist = false)
    private Integer appCurrentNum;
}
