package com.huiju.estateagents.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 小程序图标表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappIcon implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 图标编码
     */
    private String iconCode;

    /**
     * 图标名称
     */
    private String iconName;

    /**
     * 图标地址
     */
    private String iconUrl;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
