package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaPersonBuilding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaPointsExchange;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员授权项目 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaPersonBuildingMapper extends BaseMapper<TaPersonBuilding> {
    List<TaPersonBuilding> selectListByParams(Page page, @Param("orgId")Integer orgId, @Param("buildingId") String buildingId, @Param("startCreateDate") String startCreateDate, @Param("endCreateDate") String endCreateDate, @Param("personBuildingList")List<TaPersonBuilding> taPersonBuildingList);
}
