package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaPersonMessageRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-11-13
 */
@Mapper
public interface TaPersonMessageRuleMapper extends BaseMapper<TaPersonMessageRule> {

    /**
     * 依据人员ID, 消息类型, 内容类型, 等获取人员消息规则
     * @param personId
     * @param messageType
     * @param contentType
     * @param orgId
     * @return
     */
    TaPersonMessageRule getByPersonAndType(@Param("personId") String personId, @Param("messageType") String messageType, @Param("contentType") String contentType, @Param("orgId") Integer orgId);
}
