package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.ExtendContent;

/**
 * <p>
 * 辅助内容表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface IExtendContentService extends IService<ExtendContent> {

    /**
     * 添加当前
     * @param extendContent
     * @return
     */
    ResponseBean extendContentAdd(ExtendContent extendContent);

    /**
     * 根据状态查当前的轮播图
     * @param contentType
     * @param buildingId
     * @return
     */
    @Deprecated
    ResponseBean selectExtendContentList(String contentType, String buildingId);

    /**
     * 开屏
     * @param contentType
     * @param buildingId
     * @param cityId
     * @return
     */
    ResponseBean selectExtendContentListShowType(String showType, String showPosition, String targetId, String contentType, String buildingId, String contentId, Integer cityId,Integer orgId);

    /**
     * 更新活动拼团助力
     * @param dynamicId
     * @param type
     */
    void updateActivity(String dynamicId, String type,Integer orgId);

    boolean judgleRelationBuildAndActivity(ExtendContent extendContent);

    boolean advertistExistFlag(ExtendContent extendContent, Integer orgId);
}
