package com.huiju.estateagents.statistic.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.statistic.entity.TsUserBehaviorStatistic;

import java.time.LocalDate;

/**
 * <p>
 * 用户行为统计表  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-01-13
 */
public interface ITsUserBehaviorStatisticService extends IService<TsUserBehaviorStatistic> {

    void userBehaviorStatustic();

    /**
     * 按日期获取统计列表
     * @param orgId
     * @param startDate
     * @param endDate
     * @param buildingId
     * @return
     */
    ResponseBean selectUserBehavior(Integer orgId, LocalDate startDate, LocalDate endDate, String buildingId);
}
