package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2020-01-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingPanorama implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 全景图ID 全景图ID
     */
    @TableId(value = "panorama_id", type = IdType.AUTO)
    private Integer panoramaId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 户型ID
     */
    private String apartmentId;

    /**
     * 全景图类型 全景图类型building指楼盘全景图，apartment指户型全景图
     */
    private String panoramaType;

    /**
     * 全景内容
     */
    private String content;

    /**
     * 全景封面
     */
    private String coverImg;

    /**
     * 全景图链接地址
     */
    private String panoramaLink;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
