package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-09-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingProjectType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 项目id
     */
    @TableId(value = "project_id", type = IdType.AUTO)
    private Integer projectId;

    /**
     * 价格
     */
    private Integer price;

    /**
     * 装修标准
     */
    private String decoration;

    /**
     * 产权年限
     */
    private Integer rightsYear;

    /**
     * 状态
     */
    private Integer status;

    private Integer buildingTypeId;

    private String buildingTypeName;

    /**
     * 最低价
     */
    private Integer startPrice;

    /**
     * 最高价
     */
    private Integer endPrice;

    /**
     * 价格类型
     */
    private String priceType;

    /**
     * 销售状态
     */
    private String marketStatus;


}
