package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 小程序导航表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappOrgIcon implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小程序导航ID
     */
    @TableId(value = "org_icon_id", type = IdType.AUTO)
    private Integer orgIconId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 图标名称
     */
    private String iconName;

    /**
     * 图标编码
     */
    private String iconCode;

    /**
     * 导航地址
     */
    private String iconUrl;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;


}
