package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2020-02-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShareCount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * share_count_id
     */
    private Integer shareCountId;

    /**
     * 分享人
     */
    private String personId;

    /**
     * 被分享对象
     */
    private String beShare;

    /**
     * 对象类型
     */
    private String tagertType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    @TableField(exist = false)
    private String shareTitle;

    @TableField(exist = false)
    private String personPhone;

    @TableField(exist = false)
    private String personName;
}
