package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 公客导出
 */
@Data
public class PrivateCustomerExport {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String name;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String sex;

    /**
     * 置业顾问姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问姓名", index = 3)
    private String consultantName;

    /**
     * 置业顾问电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问电话", index = 4)
    private String consultTel;

    /**
     * 置业顾问电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "项目名称", index = 5)
    private String buildingName;

}
