package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TdCity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Mapper
public interface TdCityMapper extends BaseMapper<TdCity> {
    List<TdCity> selectCity(@Param("leveltype")String leveltype,@Param("status") String status);

    /**
     *查出当前ta_org_city下的城市
     * @param orgId
     * @return
     */
    List<TdCity> selectWxCity(@Param("orgId") Integer orgId);

    TdCity getOrgDefaultCity(@Param("orgId") Integer orgId);
}
