package com.huiju.estateagents.statistic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.po.PersonPO;
import com.huiju.estateagents.statistic.entity.TsUserBehaviorStatistic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 用户行为统计表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-01-13
 */
@Mapper
public interface TsUserBehaviorStatisticMapper extends BaseMapper<TsUserBehaviorStatistic> {

    List<TsUserBehaviorStatistic> seleUserBehaviorList();

    int deleteByDate();

    List<PersonPO>  seleBehaviorListByDate(@Param("orgId") Integer orgId, @Param("startDate") LocalDate startDate, @Param("endDate") LocalDate endDate, @Param("buildingId") String buildingId);
}
